var gadget=new Gadget();
gadget.isInstaller=function(){return true;};
gadget.init=function(){
if(!isString(this._product_id))return;
this.default_icon=this.getDefaultIcon();
this.components.push(this.default_icon);};
gadget.launchApl=function(locked_panel,report){
var ret;
ret=Gadget.prototype.launchApl.apply(this,[locked_panel,report]);
if(ret==apputil.CODE.NV_FULL){
this.reportErrorFunc(LANG("LT_HOME_INSUFFICIENT_FLASH"));}
return ret;};
return gadget;
